###################################################################################################
#
# DEFINE
#
%define docroot /var/www/html
%define phpversion 4.0.0

###################################################################################################
#
# RPM Information
#
Summary: The Best Finances Manager
Name: myphpmoney 
Version: 1.3RC2
Release: 1
Copyright: GPL
Group: Applications/Internet
Source: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
URL: http://myphpmoney.sourceforge.net/

Distribution: Courou
Packager: Courou <courou@users.sourceforge.net>

###################################################################################################
#
# WHERE BUILD THE INSTALL
#
Buildroot: %{_tmppath}/%{name}-%{version}
BuildArchitectures: noarch

###################################################################################################
#
# RPM Description
#
%description
MyPhpMoney is a group of scripts (Open Source) 
who allowed you to managed your accounts, 
with the possibility to compare with your old currency : 
Francs, Lire, etc (More than 230 currencies availables)

MyPhpMoney is organised around 6 principal modules :
Count book: 
- Module in which you enter your operations and balance your accounts. 

Schedule of payments : 
- The shedule allows you to know the date due on your coming payments. 
You can also select a month or a year in the schedule and display all the payments dues on this date 

Operation and Recipient : 
- The assigment of a Operation or a Recipient to each operation allows you to display 
in the states a summury of the origin and the destination of your money, 
indexted by Operation or a Recipient . 
You can also use the Operation or the Recipient module to follow the detailled information as well
as the historical account of the operation for each one. 

Loan simulation : 
- The loan simulator allows you to evaluate the loan conditions. 
Thanks to your loan simulator, you will be able to answer questions like : 
the base of the monthly repayment that I can do, 
what is the maximal sum that I can lend at this actual interest rases? 

Backup MySql : 
- Although MyPhpMoney automaticly saves all modification that you make on your files, 
It is recommanded to regulary proceed at sommes backup copies,
better on a floppy disk that you will keep in a safe place. 
Eventhough, you will be able to use your backup copie in case of a harddisk damage or 
accidental loss of data

Options & Configuration : 
- Allow to configure and parameter the program. 
	- setup automatic save
	- protection of all the program by .htaccess 
	-.htpasswd protect backup folder 

####################################### DEPENDANCY ################################################
#
# PHP PACKAGE
#
%package php
Summary: The PHP HTML-embedded scripting language. (PHP: Hypertext Preprocessor)
Group: Development/Languages
Prereq: php
BuildRequires: php >= %{phpversion}
BuildRequires: php-gd >= %{phpversion}
Requires: php

%description php
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated webpages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled webpage with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts. The
mod_php module enables the Apache Web server to understand and process
the embedded PHP language in Web pages.

####################################### DEPENDANCY ################################################
#
# MYSQL PACKAGE
#
%package mysql
Summary: A module for PHP applications that use MySQL databases.
Group: Development/Languages
Prereq: php
BuildRequires: php-mysql >= %{phpversion}
Requires: mysql

%description mysql
The php-mysql package contains a dynamic shared object that will add
MySQL database support to PHP. MySQL is an object-relational database
management system. PHP is an HTML-embeddable scripting language. If
you need MySQL support for PHP applications, you will need to install
this package and the php or mod_php package.

####################################### DEPENDANCY ################################################
#
# APACHE PACKAGE
#
%package apache
Summary: The most widely used Web server on the Internet.
Group: System/Servers
Prereq: php,mysql
BuildRequires: apache
Requires: mysql,php

%description apache
Apache is a powerful, full-featured, efficient and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

This version of Apache includes many optimizations, Extended
Application Programming Interface (EAPI), Shared memory module, hooks for
SSL modules, and several patches/cosmetic improvements.

It is also fully modular, and many modules are available in pre-compiled 
format, like PHP4, the Hotwired XSSI module and Apache-ASP. Also included are
special patches to enable FrontPage 2000 support (see mod_frontpage package).

###################################################################################################
#
# PRE SET UP
#
%prep

###################################################################################################
#
# SETUP
#
%setup -q

###################################################################################################
#
# BUILD
#
%build

###################################################################################################
#
# INSTALL
#
%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{docroot}/%{name}-%{version}
cp -pr * $RPM_BUILD_ROOT/%{docroot}/%{name}-%{version}

chmod -R ugo-x+X $RPM_BUILD_ROOT/%{docroot}/%{name}-%{version}

###################################################################################################
#
# POST
#
%post
cat %{docroot}/%{name}-%{version}/INSTALL
echo 
echo 
echo 
echo See File : %{docroot}/%{name}-%{version}/INSTALL for further installation
echo 

###################################################################################################
#
# POST
#
%postun
echo 
echo Thank you for your visit and with soon -- MyPhpMoney Team
echo 

###################################################################################################
#
# CLEAN
#
%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
[ "$RPM_BUILD_DIR/%{name}-%{version}" != "/" ] && rm -rf $RPM_BUILD_DIR/%{name}-%{version}

###################################################################################################
#
# FILES
#
# find directory -type f > file.txt
#
%files
%defattr(-,root,root)
%{docroot}/%{name}-%{version}/CHANGELOG
%{docroot}/%{name}-%{version}/VERSION
%{docroot}/%{name}-%{version}/HELP
%{docroot}/%{name}-%{version}/Makefile
%{docroot}/%{name}-%{version}/mpm.spec
%{docroot}/%{name}-%{version}/CREDITS
%{docroot}/%{name}-%{version}/INSTALL
%{docroot}/%{name}-%{version}/LICENCE
%{docroot}/%{name}-%{version}/README
%{docroot}/%{name}-%{version}/TODO
%{docroot}/%{name}-%{version}/sql/example.sql
%{docroot}/%{name}-%{version}/sql/migrate1.2.2.4-1.2.3.1.sql
%{docroot}/%{name}-%{version}/sql/myportfolio.sql
%{docroot}/%{name}-%{version}/phplib/db_mysql.inc
%{docroot}/%{name}-%{version}/phplib/ct_sql.inc
%{docroot}/%{name}-%{version}/phplib/page.inc
%{docroot}/%{name}-%{version}/phplib/template.inc
%{docroot}/%{name}-%{version}/phplib/session.inc
%{docroot}/%{name}-%{version}/phplib/CREDITS
%{docroot}/%{name}-%{version}/phplib/VERSION
%{docroot}/%{name}-%{version}/CHANGES/01_2002-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/02_2002-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/03_2002-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/04_2002-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/05_2002-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/06_2002-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/07_2002-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/08_2002-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/09_2002-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/10_2002-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/11_2002-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/12_2002-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/01_2003-CHANGE-FR
%{docroot}/%{name}-%{version}/CHANGES/02_2003-CHANGE-FR
%{docroot}/%{name}-%{version}/FAQ/FAQ_README
%{docroot}/%{name}-%{version}/FAQ/FAQ_french.htm
%{docroot}/%{name}-%{version}/FAQ/FAQ_english.htm
%{docroot}/%{name}-%{version}/FAQ/FAQ_german.htm
%{docroot}/%{name}-%{version}/FAQ/FAQ_portuguese.htm
%{docroot}/%{name}-%{version}/FAQ/FAQ_spanish.htm
%{docroot}/%{name}-%{version}/public_html/chart.php
%{docroot}/%{name}-%{version}/public_html/account.php
%{docroot}/%{name}-%{version}/public_html/book.php
%{docroot}/%{name}-%{version}/public_html/calculate.php
%{docroot}/%{name}-%{version}/public_html/calendar.php
%{docroot}/%{name}-%{version}/public_html/dump.php
%{docroot}/%{name}-%{version}/public_html/index.php
%{docroot}/%{name}-%{version}/public_html/listing.php
%{docroot}/%{name}-%{version}/public_html/login.php
%{docroot}/%{name}-%{version}/public_html/operate.php
%{docroot}/%{name}-%{version}/public_html/option.php
%{docroot}/%{name}-%{version}/public_html/robots.txt
%{docroot}/%{name}-%{version}/public_html/save.php
%{docroot}/%{name}-%{version}/public_html/simulate.php
%{docroot}/%{name}-%{version}/public_html/setperms.sh
%{docroot}/%{name}-%{version}/public_html/portfolio.php
%{docroot}/%{name}-%{version}/public_html/balance.php
%{docroot}/%{name}-%{version}/public_html/tables/table.php
%{docroot}/%{name}-%{version}/public_html/tables/phplib.php
%{docroot}/%{name}-%{version}/public_html/templates/below.tpl
%{docroot}/%{name}-%{version}/public_html/templates/body_calculate.tpl
%{docroot}/%{name}-%{version}/public_html/templates/conver.xtpl
%{docroot}/%{name}-%{version}/public_html/templates/copyright.tpl
%{docroot}/%{name}-%{version}/public_html/templates/doc_concept.tpl
%{docroot}/%{name}-%{version}/public_html/templates/doc_grab.tpl
%{docroot}/%{name}-%{version}/public_html/templates/doc_home.tpl
%{docroot}/%{name}-%{version}/public_html/templates/doc_phpdoc.tpl
%{docroot}/%{name}-%{version}/public_html/templates/doc_setup.tpl
%{docroot}/%{name}-%{version}/public_html/templates/footer.tpl
%{docroot}/%{name}-%{version}/public_html/templates/footer_end.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_account_double.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_account_simple.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_add_account.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_book_add_account.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_book_listing_double.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_book_listing_simple.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_calendar_add.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_calendar_display_s.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_calendar_view_d.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_calendar_view_s.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_news_part.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_news_third.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_option_1.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_option_2.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_option_3.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_option_file.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_option_password.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_opt_lang.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_opt_third_1.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_opt_third_2.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_rename_third_part.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_select_all.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_select_third.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_simulation_2.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_simulation_3.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_third_part_double.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_third_part_simple.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_third_submit.tpl
%{docroot}/%{name}-%{version}/public_html/templates/header.tpl
%{docroot}/%{name}-%{version}/public_html/templates/header_save.tpl
%{docroot}/%{name}-%{version}/public_html/templates/header_simulation.tpl
%{docroot}/%{name}-%{version}/public_html/templates/header_third_part_double.tpl
%{docroot}/%{name}-%{version}/public_html/templates/header_third_part_simple.tpl
%{docroot}/%{name}-%{version}/public_html/templates/js_add_lang.tpl
%{docroot}/%{name}-%{version}/public_html/templates/js_confirm.tpl
%{docroot}/%{name}-%{version}/public_html/templates/js_message.tpl
%{docroot}/%{name}-%{version}/public_html/templates/js_redirect.tpl
%{docroot}/%{name}-%{version}/public_html/templates/js_simulation.tpl
%{docroot}/%{name}-%{version}/public_html/templates/js_simulation_1.tpl
%{docroot}/%{name}-%{version}/public_html/templates/left_menu.tpl
%{docroot}/%{name}-%{version}/public_html/templates/left_menu_end.tpl
%{docroot}/%{name}-%{version}/public_html/templates/logo.tpl
%{docroot}/%{name}-%{version}/public_html/templates/menu_calendar_left.tpl
%{docroot}/%{name}-%{version}/public_html/templates/menu_doc_left.tpl
%{docroot}/%{name}-%{version}/public_html/templates/menu_home.tpl
%{docroot}/%{name}-%{version}/public_html/templates/mysql_save.tpl
%{docroot}/%{name}-%{version}/public_html/templates/noscript.tpl
%{docroot}/%{name}-%{version}/public_html/templates/opt_book_listing.tpl
%{docroot}/%{name}-%{version}/public_html/templates/opt_book_listing_1.tpl
%{docroot}/%{name}-%{version}/public_html/templates/opt_option.tpl
%{docroot}/%{name}-%{version}/public_html/templates/opt_option_text.tpl
%{docroot}/%{name}-%{version}/public_html/templates/opt_simulation_1.tpl
%{docroot}/%{name}-%{version}/public_html/templates/phpdoc.tpl
%{docroot}/%{name}-%{version}/public_html/templates/phpdoc.xsl
%{docroot}/%{name}-%{version}/public_html/templates/process.tpl
%{docroot}/%{name}-%{version}/public_html/templates/select_graph.tpl
%{docroot}/%{name}-%{version}/public_html/templates/show.tpl
%{docroot}/%{name}-%{version}/public_html/templates/top.tpl
%{docroot}/%{name}-%{version}/public_html/templates/user_config.tpl
%{docroot}/%{name}-%{version}/public_html/templates/xhtml.tpl
%{docroot}/%{name}-%{version}/public_html/templates/xml.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_login.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_new_user.tpl
%{docroot}/%{name}-%{version}/public_html/templates/form_calendar_display_d.tpl
%{docroot}/%{name}-%{version}/public_html/templates/portfolio_main.tpl
%{docroot}/%{name}-%{version}/public_html/templates/portfolio_single.tpl
%{docroot}/%{name}-%{version}/public_html/templates/portfolio_narrow.tpl
%{docroot}/%{name}-%{version}/public_html/templates/portfolio_wide.tpl
%{docroot}/%{name}-%{version}/public_html/templates/bilan_main.tpl
%{docroot}/%{name}-%{version}/public_html/templates/bilan_simple.tpl
%{docroot}/%{name}-%{version}/public_html/templates/bilan_double.tpl
%{docroot}/%{name}-%{version}/public_html/templates/bilan_display_simple.tpl
%{docroot}/%{name}-%{version}/public_html/templates/bilan_display_double.tpl
%{docroot}/%{name}-%{version}/public_html/templates/menu_helper.tpl
%{docroot}/%{name}-%{version}/public_html/style/common.css
%{docroot}/%{name}-%{version}/public_html/style/common.js
%{docroot}/%{name}-%{version}/public_html/style/dynamique.php
%{docroot}/%{name}-%{version}/public_html/style/lang.php
%{docroot}/%{name}-%{version}/public_html/style/md5.js
%{docroot}/%{name}-%{version}/public_html/lang/english.inc.php
%{docroot}/%{name}-%{version}/public_html/lang/french.inc.php
%{docroot}/%{name}-%{version}/public_html/lang/german.inc.php
%{docroot}/%{name}-%{version}/public_html/lang/portuguese.inc.php
%{docroot}/%{name}-%{version}/public_html/lang/spanish.inc.php
%{docroot}/%{name}-%{version}/public_html/lang/brazilian.inc.php
%{docroot}/%{name}-%{version}/public_html/lang/beta/danish.inc.php
%{docroot}/%{name}-%{version}/public_html/lang/beta/finnish.inc.php
%{docroot}/%{name}-%{version}/public_html/lang/beta/greek.inc.php
%{docroot}/%{name}-%{version}/public_html/lang/beta/italian.inc.php
%{docroot}/%{name}-%{version}/public_html/lang/beta/japanese.inc.php
%{docroot}/%{name}-%{version}/public_html/lang/beta/dutch.inc.php
%{docroot}/%{name}-%{version}/public_html/lang/beta/swedish.inc.php
%{docroot}/%{name}-%{version}/public_html/inc/function.inc
%{docroot}/%{name}-%{version}/public_html/inc/sql.inc
%{docroot}/%{name}-%{version}/public_html/inc/xhtml.inc
%{docroot}/%{name}-%{version}/public_html/inc/xml.inc
%{docroot}/%{name}-%{version}/public_html/class/calendar.class
%{docroot}/%{name}-%{version}/public_html/class/debug.class
%{docroot}/%{name}-%{version}/public_html/class/graph.class
%{docroot}/%{name}-%{version}/public_html/class/htaccess.class
%{docroot}/%{name}-%{version}/public_html/class/language.class
%{docroot}/%{name}-%{version}/public_html/class/phpdoc.class
%{docroot}/%{name}-%{version}/public_html/class/phpquote.class
%{docroot}/%{name}-%{version}/public_html/class/portfolio.class
%{docroot}/%{name}-%{version}/public_html/class/tools.class
%{docroot}/%{name}-%{version}/public_html/graph/camembert.php
%{docroot}/%{name}-%{version}/public_html/graph/general.php
%{docroot}/%{name}-%{version}/public_html/fonts/UNVRS.TTF
%{docroot}/%{name}-%{version}/public_html/export/local.xml
%{docroot}/%{name}-%{version}/public_html/export/original.xml
%{docroot}/%{name}-%{version}/public_html/export/cac40.txt
%{docroot}/%{name}-%{version}/public_html/doc/index.php
%{docroot}/%{name}-%{version}/public_html/doc/phpdoc.php
%{docroot}/%{name}-%{version}/public_html/dump/.htaccess
%{docroot}/%{name}-%{version}/public_html/config/setup.inc.php
%{docroot}/%{name}-%{version}/public_html/config/settings.inc.php
%{docroot}/%{name}-%{version}/public_html/config/vars.inc.php
%{docroot}/%{name}-%{version}/public_html/images/background.gif
%{docroot}/%{name}-%{version}/public_html/images/bas.gif
%{docroot}/%{name}-%{version}/public_html/images/boite.gif
%{docroot}/%{name}-%{version}/public_html/images/cercle.gif
%{docroot}/%{name}-%{version}/public_html/images/concept.gif
%{docroot}/%{name}-%{version}/public_html/images/decos.gif
%{docroot}/%{name}-%{version}/public_html/images/excel.gif
%{docroot}/%{name}-%{version}/public_html/images/favicon.ico
%{docroot}/%{name}-%{version}/public_html/images/favicon.png
%{docroot}/%{name}-%{version}/public_html/images/haut.gif
%{docroot}/%{name}-%{version}/public_html/images/invisible.gif
%{docroot}/%{name}-%{version}/public_html/images/logo.gif
%{docroot}/%{name}-%{version}/public_html/images/logo.jpg
%{docroot}/%{name}-%{version}/public_html/images/loupe.gif
%{docroot}/%{name}-%{version}/public_html/images/non.gif
%{docroot}/%{name}-%{version}/public_html/images/oui.gif
%{docroot}/%{name}-%{version}/public_html/images/progress.gif
%{docroot}/%{name}-%{version}/public_html/images/xhtml.gif
%{docroot}/%{name}-%{version}/public_html/images/css.gif
%{docroot}/%{name}-%{version}/public_html/images/cursor.ani
%{docroot}/%{name}-%{version}/public_html/images/help_haut.gif
%{docroot}/%{name}-%{version}/public_html/images/help_bas.gif
%{docroot}/%{name}-%{version}/public_html/images/help_gauche.gif
%{docroot}/%{name}-%{version}/public_html/images/help_droite.gif
%{docroot}/%{name}-%{version}/public_html/images/help_reduit.png
%{docroot}/%{name}-%{version}/public_html/images/help_open.png
%{docroot}/%{name}-%{version}/public_html/images/help_close.png
%{docroot}/%{name}-%{version}/public_html/images/source.gif
%{docroot}/%{name}-%{version}/public_html/images/country/0.gif
%{docroot}/%{name}-%{version}/public_html/images/country/1.gif
%{docroot}/%{name}-%{version}/public_html/images/country/10.gif
%{docroot}/%{name}-%{version}/public_html/images/country/100.gif
%{docroot}/%{name}-%{version}/public_html/images/country/101.gif
%{docroot}/%{name}-%{version}/public_html/images/country/102.gif
%{docroot}/%{name}-%{version}/public_html/images/country/103.gif
%{docroot}/%{name}-%{version}/public_html/images/country/104.gif
%{docroot}/%{name}-%{version}/public_html/images/country/105.gif
%{docroot}/%{name}-%{version}/public_html/images/country/106.gif
%{docroot}/%{name}-%{version}/public_html/images/country/107.gif
%{docroot}/%{name}-%{version}/public_html/images/country/108.gif
%{docroot}/%{name}-%{version}/public_html/images/country/109.gif
%{docroot}/%{name}-%{version}/public_html/images/country/11.gif
%{docroot}/%{name}-%{version}/public_html/images/country/110.gif
%{docroot}/%{name}-%{version}/public_html/images/country/111.gif
%{docroot}/%{name}-%{version}/public_html/images/country/112.gif
%{docroot}/%{name}-%{version}/public_html/images/country/113.gif
%{docroot}/%{name}-%{version}/public_html/images/country/114.gif
%{docroot}/%{name}-%{version}/public_html/images/country/115.gif
%{docroot}/%{name}-%{version}/public_html/images/country/116.gif
%{docroot}/%{name}-%{version}/public_html/images/country/117.gif
%{docroot}/%{name}-%{version}/public_html/images/country/118.gif
%{docroot}/%{name}-%{version}/public_html/images/country/119.gif
%{docroot}/%{name}-%{version}/public_html/images/country/12.gif
%{docroot}/%{name}-%{version}/public_html/images/country/120.gif
%{docroot}/%{name}-%{version}/public_html/images/country/121.gif
%{docroot}/%{name}-%{version}/public_html/images/country/122.gif
%{docroot}/%{name}-%{version}/public_html/images/country/123.gif
%{docroot}/%{name}-%{version}/public_html/images/country/124.gif
%{docroot}/%{name}-%{version}/public_html/images/country/125.gif
%{docroot}/%{name}-%{version}/public_html/images/country/126.gif
%{docroot}/%{name}-%{version}/public_html/images/country/127.gif
%{docroot}/%{name}-%{version}/public_html/images/country/128.gif
%{docroot}/%{name}-%{version}/public_html/images/country/129.gif
%{docroot}/%{name}-%{version}/public_html/images/country/13.gif
%{docroot}/%{name}-%{version}/public_html/images/country/130.gif
%{docroot}/%{name}-%{version}/public_html/images/country/131.gif
%{docroot}/%{name}-%{version}/public_html/images/country/132.gif
%{docroot}/%{name}-%{version}/public_html/images/country/133.gif
%{docroot}/%{name}-%{version}/public_html/images/country/134.gif
%{docroot}/%{name}-%{version}/public_html/images/country/135.gif
%{docroot}/%{name}-%{version}/public_html/images/country/136.gif
%{docroot}/%{name}-%{version}/public_html/images/country/137.gif
%{docroot}/%{name}-%{version}/public_html/images/country/138.gif
%{docroot}/%{name}-%{version}/public_html/images/country/139.gif
%{docroot}/%{name}-%{version}/public_html/images/country/14.gif
%{docroot}/%{name}-%{version}/public_html/images/country/140.gif
%{docroot}/%{name}-%{version}/public_html/images/country/141.gif
%{docroot}/%{name}-%{version}/public_html/images/country/142.gif
%{docroot}/%{name}-%{version}/public_html/images/country/143.gif
%{docroot}/%{name}-%{version}/public_html/images/country/144.gif
%{docroot}/%{name}-%{version}/public_html/images/country/145.gif
%{docroot}/%{name}-%{version}/public_html/images/country/146.gif
%{docroot}/%{name}-%{version}/public_html/images/country/147.gif
%{docroot}/%{name}-%{version}/public_html/images/country/148.gif
%{docroot}/%{name}-%{version}/public_html/images/country/149.gif
%{docroot}/%{name}-%{version}/public_html/images/country/15.gif
%{docroot}/%{name}-%{version}/public_html/images/country/150.gif
%{docroot}/%{name}-%{version}/public_html/images/country/151.gif
%{docroot}/%{name}-%{version}/public_html/images/country/152.gif
%{docroot}/%{name}-%{version}/public_html/images/country/153.gif
%{docroot}/%{name}-%{version}/public_html/images/country/154.gif
%{docroot}/%{name}-%{version}/public_html/images/country/155.gif
%{docroot}/%{name}-%{version}/public_html/images/country/156.gif
%{docroot}/%{name}-%{version}/public_html/images/country/157.gif
%{docroot}/%{name}-%{version}/public_html/images/country/158.gif
%{docroot}/%{name}-%{version}/public_html/images/country/159.gif
%{docroot}/%{name}-%{version}/public_html/images/country/16.gif
%{docroot}/%{name}-%{version}/public_html/images/country/160.gif
%{docroot}/%{name}-%{version}/public_html/images/country/161.gif
%{docroot}/%{name}-%{version}/public_html/images/country/162.gif
%{docroot}/%{name}-%{version}/public_html/images/country/163.gif
%{docroot}/%{name}-%{version}/public_html/images/country/164.gif
%{docroot}/%{name}-%{version}/public_html/images/country/165.gif
%{docroot}/%{name}-%{version}/public_html/images/country/166.gif
%{docroot}/%{name}-%{version}/public_html/images/country/167.gif
%{docroot}/%{name}-%{version}/public_html/images/country/168.gif
%{docroot}/%{name}-%{version}/public_html/images/country/169.gif
%{docroot}/%{name}-%{version}/public_html/images/country/17.gif
%{docroot}/%{name}-%{version}/public_html/images/country/170.gif
%{docroot}/%{name}-%{version}/public_html/images/country/171.gif
%{docroot}/%{name}-%{version}/public_html/images/country/172.gif
%{docroot}/%{name}-%{version}/public_html/images/country/173.gif
%{docroot}/%{name}-%{version}/public_html/images/country/174.gif
%{docroot}/%{name}-%{version}/public_html/images/country/175.gif
%{docroot}/%{name}-%{version}/public_html/images/country/176.gif
%{docroot}/%{name}-%{version}/public_html/images/country/177.gif
%{docroot}/%{name}-%{version}/public_html/images/country/178.gif
%{docroot}/%{name}-%{version}/public_html/images/country/179.gif
%{docroot}/%{name}-%{version}/public_html/images/country/18.gif
%{docroot}/%{name}-%{version}/public_html/images/country/180.gif
%{docroot}/%{name}-%{version}/public_html/images/country/181.gif
%{docroot}/%{name}-%{version}/public_html/images/country/182.gif
%{docroot}/%{name}-%{version}/public_html/images/country/183.gif
%{docroot}/%{name}-%{version}/public_html/images/country/184.gif
%{docroot}/%{name}-%{version}/public_html/images/country/185.gif
%{docroot}/%{name}-%{version}/public_html/images/country/186.gif
%{docroot}/%{name}-%{version}/public_html/images/country/187.gif
%{docroot}/%{name}-%{version}/public_html/images/country/188.gif
%{docroot}/%{name}-%{version}/public_html/images/country/189.gif
%{docroot}/%{name}-%{version}/public_html/images/country/19.gif
%{docroot}/%{name}-%{version}/public_html/images/country/190.gif
%{docroot}/%{name}-%{version}/public_html/images/country/191.gif
%{docroot}/%{name}-%{version}/public_html/images/country/192.gif
%{docroot}/%{name}-%{version}/public_html/images/country/193.gif
%{docroot}/%{name}-%{version}/public_html/images/country/194.gif
%{docroot}/%{name}-%{version}/public_html/images/country/195.gif
%{docroot}/%{name}-%{version}/public_html/images/country/196.gif
%{docroot}/%{name}-%{version}/public_html/images/country/197.gif
%{docroot}/%{name}-%{version}/public_html/images/country/198.gif
%{docroot}/%{name}-%{version}/public_html/images/country/199.gif
%{docroot}/%{name}-%{version}/public_html/images/country/2.gif
%{docroot}/%{name}-%{version}/public_html/images/country/20.gif
%{docroot}/%{name}-%{version}/public_html/images/country/200.gif
%{docroot}/%{name}-%{version}/public_html/images/country/201.gif
%{docroot}/%{name}-%{version}/public_html/images/country/202.gif
%{docroot}/%{name}-%{version}/public_html/images/country/203.gif
%{docroot}/%{name}-%{version}/public_html/images/country/204.gif
%{docroot}/%{name}-%{version}/public_html/images/country/205.gif
%{docroot}/%{name}-%{version}/public_html/images/country/206.gif
%{docroot}/%{name}-%{version}/public_html/images/country/207.gif
%{docroot}/%{name}-%{version}/public_html/images/country/208.gif
%{docroot}/%{name}-%{version}/public_html/images/country/209.gif
%{docroot}/%{name}-%{version}/public_html/images/country/21.gif
%{docroot}/%{name}-%{version}/public_html/images/country/210.gif
%{docroot}/%{name}-%{version}/public_html/images/country/211.gif
%{docroot}/%{name}-%{version}/public_html/images/country/212.gif
%{docroot}/%{name}-%{version}/public_html/images/country/213.gif
%{docroot}/%{name}-%{version}/public_html/images/country/214.gif
%{docroot}/%{name}-%{version}/public_html/images/country/215.gif
%{docroot}/%{name}-%{version}/public_html/images/country/216.gif
%{docroot}/%{name}-%{version}/public_html/images/country/217.gif
%{docroot}/%{name}-%{version}/public_html/images/country/218.gif
%{docroot}/%{name}-%{version}/public_html/images/country/219.gif
%{docroot}/%{name}-%{version}/public_html/images/country/22.gif
%{docroot}/%{name}-%{version}/public_html/images/country/220.gif
%{docroot}/%{name}-%{version}/public_html/images/country/221.gif
%{docroot}/%{name}-%{version}/public_html/images/country/222.gif
%{docroot}/%{name}-%{version}/public_html/images/country/223.gif
%{docroot}/%{name}-%{version}/public_html/images/country/224.gif
%{docroot}/%{name}-%{version}/public_html/images/country/225.gif
%{docroot}/%{name}-%{version}/public_html/images/country/226.gif
%{docroot}/%{name}-%{version}/public_html/images/country/227.gif
%{docroot}/%{name}-%{version}/public_html/images/country/228.gif
%{docroot}/%{name}-%{version}/public_html/images/country/229.gif
%{docroot}/%{name}-%{version}/public_html/images/country/23.gif
%{docroot}/%{name}-%{version}/public_html/images/country/230.gif
%{docroot}/%{name}-%{version}/public_html/images/country/231.gif
%{docroot}/%{name}-%{version}/public_html/images/country/232.gif
%{docroot}/%{name}-%{version}/public_html/images/country/233.gif
%{docroot}/%{name}-%{version}/public_html/images/country/234.gif
%{docroot}/%{name}-%{version}/public_html/images/country/235.gif
%{docroot}/%{name}-%{version}/public_html/images/country/236.gif
%{docroot}/%{name}-%{version}/public_html/images/country/237.gif
%{docroot}/%{name}-%{version}/public_html/images/country/24.gif
%{docroot}/%{name}-%{version}/public_html/images/country/25.gif
%{docroot}/%{name}-%{version}/public_html/images/country/26.gif
%{docroot}/%{name}-%{version}/public_html/images/country/27.gif
%{docroot}/%{name}-%{version}/public_html/images/country/28.gif
%{docroot}/%{name}-%{version}/public_html/images/country/29.gif
%{docroot}/%{name}-%{version}/public_html/images/country/3.gif
%{docroot}/%{name}-%{version}/public_html/images/country/30.gif
%{docroot}/%{name}-%{version}/public_html/images/country/31.gif
%{docroot}/%{name}-%{version}/public_html/images/country/32.gif
%{docroot}/%{name}-%{version}/public_html/images/country/33.gif
%{docroot}/%{name}-%{version}/public_html/images/country/34.gif
%{docroot}/%{name}-%{version}/public_html/images/country/35.gif
%{docroot}/%{name}-%{version}/public_html/images/country/36.gif
%{docroot}/%{name}-%{version}/public_html/images/country/37.gif
%{docroot}/%{name}-%{version}/public_html/images/country/38.gif
%{docroot}/%{name}-%{version}/public_html/images/country/39.gif
%{docroot}/%{name}-%{version}/public_html/images/country/4.gif
%{docroot}/%{name}-%{version}/public_html/images/country/40.gif
%{docroot}/%{name}-%{version}/public_html/images/country/41.gif
%{docroot}/%{name}-%{version}/public_html/images/country/42.gif
%{docroot}/%{name}-%{version}/public_html/images/country/43.gif
%{docroot}/%{name}-%{version}/public_html/images/country/44.gif
%{docroot}/%{name}-%{version}/public_html/images/country/45.gif
%{docroot}/%{name}-%{version}/public_html/images/country/46.gif
%{docroot}/%{name}-%{version}/public_html/images/country/47.gif
%{docroot}/%{name}-%{version}/public_html/images/country/48.gif
%{docroot}/%{name}-%{version}/public_html/images/country/49.gif
%{docroot}/%{name}-%{version}/public_html/images/country/5.gif
%{docroot}/%{name}-%{version}/public_html/images/country/50.gif
%{docroot}/%{name}-%{version}/public_html/images/country/51.gif
%{docroot}/%{name}-%{version}/public_html/images/country/52.gif
%{docroot}/%{name}-%{version}/public_html/images/country/53.gif
%{docroot}/%{name}-%{version}/public_html/images/country/54.gif
%{docroot}/%{name}-%{version}/public_html/images/country/55.gif
%{docroot}/%{name}-%{version}/public_html/images/country/56.gif
%{docroot}/%{name}-%{version}/public_html/images/country/57.gif
%{docroot}/%{name}-%{version}/public_html/images/country/58.gif
%{docroot}/%{name}-%{version}/public_html/images/country/59.gif
%{docroot}/%{name}-%{version}/public_html/images/country/6.gif
%{docroot}/%{name}-%{version}/public_html/images/country/60.gif
%{docroot}/%{name}-%{version}/public_html/images/country/61.gif
%{docroot}/%{name}-%{version}/public_html/images/country/62.gif
%{docroot}/%{name}-%{version}/public_html/images/country/63.gif
%{docroot}/%{name}-%{version}/public_html/images/country/64.gif
%{docroot}/%{name}-%{version}/public_html/images/country/65.gif
%{docroot}/%{name}-%{version}/public_html/images/country/66.gif
%{docroot}/%{name}-%{version}/public_html/images/country/67.gif
%{docroot}/%{name}-%{version}/public_html/images/country/68.gif
%{docroot}/%{name}-%{version}/public_html/images/country/69.gif
%{docroot}/%{name}-%{version}/public_html/images/country/7.gif
%{docroot}/%{name}-%{version}/public_html/images/country/70.gif
%{docroot}/%{name}-%{version}/public_html/images/country/71.gif
%{docroot}/%{name}-%{version}/public_html/images/country/72.gif
%{docroot}/%{name}-%{version}/public_html/images/country/73.gif
%{docroot}/%{name}-%{version}/public_html/images/country/74.gif
%{docroot}/%{name}-%{version}/public_html/images/country/75.gif
%{docroot}/%{name}-%{version}/public_html/images/country/76.gif
%{docroot}/%{name}-%{version}/public_html/images/country/77.gif
%{docroot}/%{name}-%{version}/public_html/images/country/78.gif
%{docroot}/%{name}-%{version}/public_html/images/country/79.gif
%{docroot}/%{name}-%{version}/public_html/images/country/8.gif
%{docroot}/%{name}-%{version}/public_html/images/country/80.gif
%{docroot}/%{name}-%{version}/public_html/images/country/81.gif
%{docroot}/%{name}-%{version}/public_html/images/country/82.gif
%{docroot}/%{name}-%{version}/public_html/images/country/83.gif
%{docroot}/%{name}-%{version}/public_html/images/country/84.gif
%{docroot}/%{name}-%{version}/public_html/images/country/85.gif
%{docroot}/%{name}-%{version}/public_html/images/country/86.gif
%{docroot}/%{name}-%{version}/public_html/images/country/87.gif
%{docroot}/%{name}-%{version}/public_html/images/country/88.gif
%{docroot}/%{name}-%{version}/public_html/images/country/89.gif
%{docroot}/%{name}-%{version}/public_html/images/country/9.gif
%{docroot}/%{name}-%{version}/public_html/images/country/90.gif
%{docroot}/%{name}-%{version}/public_html/images/country/91.gif
%{docroot}/%{name}-%{version}/public_html/images/country/92.gif
%{docroot}/%{name}-%{version}/public_html/images/country/93.gif
%{docroot}/%{name}-%{version}/public_html/images/country/94.gif
%{docroot}/%{name}-%{version}/public_html/images/country/95.gif
%{docroot}/%{name}-%{version}/public_html/images/country/96.gif
%{docroot}/%{name}-%{version}/public_html/images/country/97.gif
%{docroot}/%{name}-%{version}/public_html/images/country/98.gif
%{docroot}/%{name}-%{version}/public_html/images/country/99.gif
%{docroot}/%{name}-%{version}/public_html/images/country/euros.gif
%{docroot}/%{name}-%{version}/public_html/images/screenshot/screen1.gif
%{docroot}/%{name}-%{version}/public_html/images/screenshot/screen2.gif
%{docroot}/%{name}-%{version}/public_html/images/screenshot/screen3.gif
%{docroot}/%{name}-%{version}/public_html/images/screenshot/screen4.gif
%{docroot}/%{name}-%{version}/public_html/images/screenshot/screen5.gif
%{docroot}/%{name}-%{version}/public_html/images/screenshot/screen6.gif
%{docroot}/%{name}-%{version}/public_html/images/screenshot/screen7.gif
%{docroot}/%{name}-%{version}/public_html/images/screenshot/screen8.gif
%{docroot}/%{name}-%{version}/public_html/images/screenshot/screen9.gif

###################################################################################################
#
# DIR
#
# find directory -type d > dir.txt
#
%dir
%defattr(-,root,root)
%dir %{docroot}/%{name}-%{version}/
%dir %{docroot}/%{name}-%{version}/sql
%dir %{docroot}/%{name}-%{version}/phplib
%dir %{docroot}/%{name}-%{version}/CHANGES
%dir %{docroot}/%{name}-%{version}/FAQ
%attr(0777,root,root) %dir %{docroot}/%{name}-%{version}/public_html
%dir %{docroot}/%{name}-%{version}/public_html/tables
%dir %{docroot}/%{name}-%{version}/public_html/templates
%dir %{docroot}/%{name}-%{version}/public_html/style
%dir %{docroot}/%{name}-%{version}/public_html/lang
%dir %{docroot}/%{name}-%{version}/public_html/lang/beta
%dir %{docroot}/%{name}-%{version}/public_html/inc
%dir %{docroot}/%{name}-%{version}/public_html/class
%dir %{docroot}/%{name}-%{version}/public_html/graph
%dir %{docroot}/%{name}-%{version}/public_html/fonts
%dir %{docroot}/%{name}-%{version}/public_html/export
%attr(0777,root,root) %dir %{docroot}/%{name}-%{version}/public_html/dump
%dir %{docroot}/%{name}-%{version}/public_html/doc
%dir %{docroot}/%{name}-%{version}/public_html/config
%dir %{docroot}/%{name}-%{version}/public_html/images
%dir %{docroot}/%{name}-%{version}/public_html/images/country
%dir %{docroot}/%{name}-%{version}/public_html/images/screenshot

###################################################################################################
#
# compile-command: "rpm -ba mpm.spec" (source and executable)
# compile-command: "rpm -bb mpm.spec" (just executable)
# compile-command: "rpm -bs mpm.spec" (only source)
# extract de rpm:  "rpm -ivh /usr/src/RPM/RPMS/[arch]/myphpmoney-version.rpm"
# 
# compile-command direct since tar.gz:  "rpm -ta archives.tar.gz
# extract de rpm:  			"rpm -ivh /usr/src/RPM/RPMS/[arch]/myphpmoney-version.rpm"
# 

###################################################################################################
#
# CHANGELOG (DATE MUST BE ENGLISH FORMAT)
#
# The date should appear by date +"%a %b %d %Y" (DATE US ONLY)
#
%changelog
* Fri Feb 21 2003 Courou <courou@users.sourceforge.net>
- delete the file : %{docroot}/%{name}-%{version}/public_html/templates/footer_nav.tpl

* Tue Feb 18 2003 Courou <courou@users.sourceforge.net>
- add the file : %{docroot}/%{name}-%{version}/public_html/images/source.gif

* Wed Feb 12 2003 Courou <courou@users.sourceforge.net>
- add the file : %{docroot}/%{name}-%{version}/public_html/images/help_reduit.png
- add the file : %{docroot}/%{name}-%{version}/public_html/images/help_open.png
- add the file : %{docroot}/%{name}-%{version}/public_html/images/help_close.png

* Thu Feb 06 2003 Courou <courou@users.sourceforge.net>
- add the file : %{docroot}/%{name}-%{version}/public_html/images/help_haut.gif
- add the file : %{docroot}/%{name}-%{version}/public_html/images/help_bas.gif
- add the file : %{docroot}/%{name}-%{version}/public_html/images/help_gauche.gif
- add the file : %{docroot}/%{name}-%{version}/public_html/images/help_droite.gif

* Mon Feb 03 2003 Courou <courou@users.sourceforge.net>
- add the file : %{docroot}/%{name}-%{version}/public_html/templates/menu_helper.tpl

* Wed Jan 31 2003 Courou <courou@users.sourceforge.net>
- add the file : %{docroot}/%{name}-%{version}/CHANGES/02_2003-CHANGE-FR

* Mon Jan 20 2003 Courou <courou@users.sourceforge.net>
- add the file : %{docroot}/%{name}-%{version}/public_html/lang/brazilian.inc.php
- add the file : %{docroot}/%{name}-%{version}/public_html/images/cursor.ani
- add the file : %{docroot}/%{name}-%{version}/CHANGES/01_2003-CHANGE-FR
- add the file : %{docroot}/%{name}-%{version}/sql/myportfolio.sql
- add the file : %{docroot}/%{name}-%{version}/public_html/class/phpquote.class
- add the file : %{docroot}/%{name}-%{version}/public_html/class/portfolio.class
- add the file : %{docroot}/%{name}-%{version}/public_html/portfolio.php
- add the file : %{docroot}/%{name}-%{version}/public_html/templates/portfolio_main.tpl
- add the file : %{docroot}/%{name}-%{version}/public_html/templates/portfolio_single.tpl
- add the file : %{docroot}/%{name}-%{version}/public_html/templates/portfolio_narrow.tpl
- add the file : %{docroot}/%{name}-%{version}/public_html/templates/portfolio_wide.tpl
- add the file : %{docroot}/%{name}-%{version}/public_html/templates/bilan_simple.tpl
- add the file : %{docroot}/%{name}-%{version}/public_html/templates/bilan_double.tpl
- add the file : %{docroot}/%{name}-%{version}/public_html/templates/bilan_main.tpl
- add the file : %{docroot}/%{name}-%{version}/public_html/balance.php
- add the file : %{docroot}/%{name}-%{version}/public_html/export/cac40.txt
- add the file : %{docroot}/%{name}-%{version}/public_html/images/css.gif
- add the file : %{docroot}/%{name}-%{version}/public_html/templates/bilan_display_simple.tpl
- add the file : %{docroot}/%{name}-%{version}/public_html/templates/bilan_display_double.tpl

* Sun Dec 01 2002 Courou <courou@users.sourceforge.net>
- delete the file : %{docroot}/%{name}-%{version}/public_html/doc/disable.php
- delete the file : %{docroot}/%{name}-%{version}/public_html/templates/js_disabled.tpl
- add the file : %{docroot}/%{name}-%{version}/CHANGES/12_2002-CHANGE-FR
- delete the file : %{docroot}/%{name}-%{version}/public_html/lang/beta/neerlandais.inc.php
- delete the file : %{docroot}/%{name}-%{version}/public_html/lang/beta/modele.inc.php
- add the file : %{docroot}/%{name}-%{version}/public_html/lang/beta/dutch.inc.php

* Thu Nov 28 2002 Courou <courou@users.sourceforge.net>
- delete the file : %{docroot}/%{name}-%{version}/public_html/fonts/verdana.ttf
- add the file : %{docroot}/%{name}-%{version}/public_html/fonts/UNVRS.TTF
- update the description (remove term : in Euro)

* Tue Nov 26 2002 Courou <courou@users.sourceforge.net>
- delete the directory : %dir %{docroot}/%{name}-%{version}/CHANGES/EN
- delete the directory : %dir %{docroot}/%{name}-%{version}/CHANGES/FR
- delete all the file : %dir %{docroot}/%{name}-%{version}/CHANGES/FR
- delete all the file : %dir %{docroot}/%{name}-%{version}/CHANGES/EN
- add the file in the repertory : %dir %{docroot}/%{name}-%{version}/CHANGES/file_name

* Mon Nov 25 2002 Courou <courou@users.sourceforge.net>
- delete %attr(0777,root,root) %dir %{docroot}/%{name}-%{version}/public_html/user
- add the file : %{docroot}/%{name}-%{version}/public_html/dump/.htaccess

* Sat Nov 23 2002 Courou <courou@users.sourceforge.net>
- delete the directory reference /report/
- delete the file hexagul.inc
- add the file : %{docroot}/%{name}-%{version}/sql/migrate1.2.2.4-1.2.3.1.sql

* Tue Nov 19 2002 Courou <courou@users.sourceforge.net>
- add the file : %{docroot}/%{name}-%{version}/mpm.spec
- delete the directory reference /tools/

* Mon Nov 18 2002 Courou <courou@users.sourceforge.net>
- initial spec file
